mirror of
https://git.freebsd.org/ports.git
synced 2025-04-28 09:36:41 -04:00
...for instance as poudriere, because the tests sets up a directory that is intended to be non-writable, which is ignored on FreeBSD 14, and causes the panic-tests.sh to fail because sed can unexpectedly create a temp file when running as root.
11 lines
311 B
Bash
11 lines
311 B
Bash
--- testsuite/panic-tests.sh.orig 2022-01-01 23:00:07 UTC
|
|
+++ testsuite/panic-tests.sh
|
|
@@ -18,6 +18,8 @@ print_ver_ sed
|
|
. "${srcdir=.}/testsuite/init.sh"; path_prepend_ ./sed
|
|
print_ver_ sed
|
|
|
|
+test $(id -u) != 0 || exit 77 # these tests pass unexpectedly if run as root
|
|
+
|
|
#
|
|
# failure to create temp file
|
|
#
|